Subject: Re: bug#47163: [PATCH] refresh: Add '--installed' option.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 15 Mar 2021 21:38:21 +0100

Hi,

Xinglu Chen <[email-masked]> skribis:

> This lets the user to only check for updates for packages installed in the
> current profile.
>
> If the user is using the imperative way to install packages, or uses
> multiple manifests, this is a quick way to check for updates for the
> installed packages.
>
> * guix/scripts/refresh.scm (%options): Add '--installed' option.
> * guix.texi (Invoking guix refresh): Document it.

I sometimes run:

  guix refresh $(guix package -I | cut -f1)

I’m not sure an extra ‘guix refresh’ option is warranted.  WDYT?

Thanks,
Ludo’.